Bug 216231 - ftp> pwd
ftp> pwd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (harness) (Show other bugs)
5
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Greg Nichols
Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 16:55 EST by Hien Nguyen
Modified: 2007-04-18 13:53 EDT (History)
6 users (show)

See Also:
Fixed In Version: R11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-12 11:13:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/hts/plan.xml (1.67 KB, text/plain)
2006-11-17 16:55 EST, Hien Nguyen
no flags Details
Output of "hts certify" run (46.88 KB, application/octet-stream)
2006-12-11 21:38 EST, Abraham Arevalo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 29535 None None None Never

  None (edit)
Description Hien Nguyen 2006-11-17 16:55:39 EST
Description of problem:
hts certify gives errors

Version-Release number of selected component (if applicable):
hts-5.0-9

How reproducible:

Steps to Reproduce:

  1- Install hts rpm and all necessiry rpms (dt, lmbench, stress)
  2- run "hts plan" to create /var/hts/plan.xml and config.xml
  3- run "hts verify" gives erors :

[root@smbhv4 ~]# hts certify

Traceback (most recent call last):

  File "/usr/bin/hts", line 105, in ?

    success = hts.do(args)

  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 63, in do
    return self.doCertify()

  File "/usr/lib/python2.4/site-packages/hts/hardwaretest.py", line 206, in
doCertify
    plan.load(self.planFile)

  File "/usr/lib/python2.4/site-packages/hts/certificationtest.py", line 84,
in load
    self.document = parse(file)

  File "/usr/lib/python2.4/site-packages/_xmlplus/dom/minidom.py", line 1915,
in parse
    return expatbuilder.parse(file)

  File "/usr/lib/python2.4/site-packages/_xmlplus/dom/expatbuilder.py", line
930, in parse
    result = builder.parseFile(file)

  File "/usr/lib/python2.4/site-packages/_xmlplus/dom/expatbuilder.py", line
207, in parseFile
    parser.Parse(buffer, 0)

xml.parsers.expat.ExpatError: not well-formed (invalid token): line 5, column
23

======

Actual results:

Expected results:

 should start running tests

Additional info:

 one error of unloading iptables modules when install hts rpm:

[root@smbhv4 tmp]# rpm -ivh hts-5.0-9.noarch.rpm

Preparing...                ########################################### [100%]

   1:hts                    ########################################### [100%]

Flushing firewall rules: [  OK  ]

Setting chains to policy ACCEPT: filter [  OK  ]

Unloading iptables modules: [FAILED]

====

/var/hts/config.xml file:

  <?xml version="1.0" encoding="UTF-8" ?> 
- <certification-test discover-time="2006-11-18 03:13:51" hts-release="9" hts-
version="5.0">
- <hardware>
  <arch>ppc64</arch> 
  <model>IBM,9124-720</model> 
  <vendor /> 
  <make /> 
  </hardware>
- <certification>
- <os>
  <name>Tikanga</name> 
  <release>4.92</release> 
  </os>
  </certification>
  </certification-test>
Comment 1 Hien Nguyen 2006-11-17 16:55:40 EST
Created attachment 141536 [details]
/var/hts/plan.xml
Comment 3 IBM Bug Proxy 2006-11-20 19:20:56 EST
This is reverse mirrored to LTC as 

https://bugzilla.linux.ibm.com/show_bug.cgi?id=29535
Comment 4 Irina Boverman 2006-11-21 14:40:45 EST
Corrected product and component, changed assignment. 
Comment 5 Greg Nichols 2006-11-21 16:24:20 EST
Workaround:

Edit plan.xml, delete the bad character ^@ from the model name
Comment 6 Greg Nichols 2006-11-21 17:53:28 EST
Fixed: 

HTS 5.0 R11.
Comment 7 IBM Bug Proxy 2006-12-05 11:05:57 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
           Severity|high                        |block




------- Additional Comments From markwiz@us.ibm.com  2006-12-05 11:00 EDT -------
Raising this to a blocker. It should be fixed in the latest build from Red Hat
at ftp://partners.redhat.com/a166eabc5cf5df158922f9b06e5e7b21/hwcert/

Please test and post the results. 
Comment 8 Abraham Arevalo 2006-12-11 21:38:05 EST
Created attachment 143357 [details]
Output of "hts certify" run

Ran hts-5.0-13 on RHEL5 Beta2 release, no problems found, testcases ran as
expected after executing the steps as originally provided by Hien.  Results
attached.
Comment 9 IBM Bug Proxy 2006-12-12 12:20:58 EST
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ACCEPTED                    |CLOSED




------- Additional Comments From salina@us.ibm.com  2006-12-12 12:17 EDT -------
sounds like problem is fixed.  I am closing this.   

Abraham. Thanks for testing. 

Note You need to log in before you can comment on or make changes to this bug.